package com.samelement.iot_notification.analytic;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.List;

public class Analytic implements Comparable<Analytic>{
    @SerializedName("id")
    @Expose
    private String id;
    @SerializedName("title")
    @Expose
    private String title;
    @SerializedName("model")
    @Expose
    private String model;
    @SerializedName("tags")
    @Expose
    private String tags;
    @SerializedName("options")
    @Expose
    private List<AnalyticOptions> options = new ArrayList<>();
    @SerializedName("admin_id")
    @Expose
    private String adminId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public List<AnalyticOptions> getOptions() {
        return options;
    }

    public void setOptions(List<AnalyticOptions> options) {
        this.options = options;
    }

    public String getAdminId() {
        return adminId;
    }

    public void setAdminId(String adminId) {
        this.adminId = adminId;
    }

    @Override
    public int compareTo(Analytic o) {
        return this.title.compareTo(o.getTitle());
    }
}

